## org.dom4j.io
Class DOMReader

    java.lang.Object
      org.dom4j.io.DOMReader

public class DOMReader
extends Object

`DOMReader` navigates a W3C DOM tree and creates a DOM4J tree from it.

Version:
  $Revision: 1.17 $
Author:
  James Strachan

Constructor Summary
`DOMReader()`
`DOMReader(DocumentFactory factory)`

Method Summary
`protected void` `clearNamespaceStack()`
`protected Document` `createDocument()`
`DocumentFactory` `getDocumentFactory()` DOCUMENT ME!
`protected Namespace` `getNamespace(String prefix, String uri)`
`Document` `read(Document domDocument)`
`protected void` `readElement(Node node, Branch current)`
`protected void` `readTree(Node node, Branch current)`
`void` `setDocumentFactory(DocumentFactory docFactory)` This sets the `DocumentFactory` used to create new documents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMReader

    public DOMReader()

### DOMReader

    public DOMReader(DocumentFactory factory)

Method Detail

### getDocumentFactory

    public DocumentFactory getDocumentFactory()

  DOCUMENT ME!

  Returns:
    the `DocumentFactory` used to create document objects

### setDocumentFactory

    public void setDocumentFactory(DocumentFactory docFactory)

  This sets the `DocumentFactory` used to create new documents. This method allows the building of custom DOM4J tree objects to be implemented easily using a custom derivation of `DocumentFactory`

  Parameters:
    `docFactory` - `DocumentFactory` used to create DOM4J objects

### read

    public Document read(Document domDocument)

### readTree

    protected void readTree(Node node,
                            Branch current)

### readElement

    protected void readElement(Node node,
                               Branch current)

### getNamespace

    protected Namespace getNamespace(String prefix,
                                     String uri)

### createDocument

    protected Document createDocument()

### clearNamespaceStack

    protected void clearNamespaceStack()

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.